# Class ImageException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.j3d.utils.image.ImageException

All Implemented Interfaces:
  `Serializable`

public class ImageException extends RuntimeException
Exception used to indicate that the texture loader encountered a problem loading the specified image file.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ImageException()`
`ImageException(String s)`
`ImageException(Throwable t)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImageException

public ImageException()

### ImageException

public ImageException(String s)

### ImageException

public ImageException(Throwable t)